************************************************************
* eHealth Business Connector Nursing RELEASE NOTES         *
************************************************************
4.7.3 release (april 2025)
   . bug-fix         TherLink eID proof: fix determination of cms signature algorithm

4.7.2 release (april 2025)
   . internal release

4.7.1 release (april 2025)
   . internal release

4.7.0 release (april 2025)
   . internal release

4.6.0 release (september 2024)
   . changes already in 4.6.0-beta-1:
            - business service intrahub v1: update to hubservices xsd v1.3.0 that uses latest kmerh version 1.40.2
            - business service intrahub v3: update to hubservices xsd v3.6.0 that uses latest kmerh version 1.40.2


4.6.0-beta-1 release (june 2024)
   . change:
            - business service intrahub v1: update to hubservices xsd v1.3.0 that uses latest kmerh version 1.40.2
            - business service intrahub v3: update to hubservices xsd v3.6.0 that uses latest kmerh version 1.40.2


4.5.4 release (april 2024)
  . bug-fix         business connector eh2ebox and ehboxv3:
                        remove the text/plain or text/html restriction on the mime type of the message body, in order to be able to use other mime types for eH2eBox.  . improvement     update dependency minor versions, including org.apache.commons:commons-compress to v1.26.1 that fixes some security vulnerabilities: https://commons.apache.org/proper/commons-compress/security.html
  . improvement     update dependency minor versions, including org.apache.commons:commons-compress to v1.26.1 that fixes some security vulnerabilities: https://commons.apache.org/proper/commons-compress/security.html


4.5.3 release (april 2024)
   . internal release

4.5.2 release (april 2024)
   . internal release

4.5.1 release (april 2024)
   . internal release

4.5.0 release (april 2024)
   . internal release


4.3.0 release (april 2023)
   . improvement        Straight runtime compatibility up to JDK 15:
                            . Here are the Maven dependencies that have been added to the connector
                              for this purpose (in case of Java 8 they replace those provided by the JDK): 
                                             
                                    <dependency>
                                      <groupId>jakarta.xml.ws</groupId>
                                      <artifactId>jakarta.xml.ws-api</artifactId>
                                      <version>2.3.3</version>
                                    </dependency>
                                    <dependency>
                                      <groupId>com.sun.xml.ws</groupId>
                                      <artifactId>jaxws-rt</artifactId>
                                      <version>2.3.6</version>
                                      <scope>runtime</scope>
                                    </dependency>
                                    <dependency>
                                      <groupId>com.sun.xml.messaging.saaj</groupId>
                                      <artifactId>saaj-impl</artifactId>
                                      <version>1.3.28</version>
                                    </dependency>
                                    <dependency>
                                      <groupId>jakarta.xml.bind</groupId>
                                      <artifactId>jakarta.xml.bind-api</artifactId>
                                      <version>2.3.3</version>
                                    </dependency>
                                    <dependency>
                                      <groupId>com.sun.xml.bind</groupId>
                                      <artifactId>jaxb-impl</artifactId>
                                      <version>2.3.8</version>
                                    </dependency>
                                    
                            . For JDK 16 and up, the following VM options must be added, in order to access internal JDK classes:
   
                               --add-exports java.xml/com.sun.org.apache.xerces.internal.dom=ALL-UNNAMED
                               --add-exports java.xml/com.sun.org.apache.xerces.internal.util=ALL-UNNAMED
                               --add-exports java.xml/com.sun.org.apache.xerces.internal.jaxp=ALL-UNNAMED 
                               
    . improvement        default connector service calls to signature algorithm RSA-SHA-256
    . improvement        default STS to WS-Trust interface, in order to use by default the new version of SecurityTokenService,
                         which includes the latest hashing (SHA-256) and signing algorithms (RSA-SHA-256 / ECDSA-SHA-256).    
                         This change should be reflected in terms of sts endpoint config:
                         
                               endpoint.sts=$uddi{uddi:ehealth-fgov-be:business:iamsecuritytokenservice:v1}  
                               
   . deleting  business service Dics V3
   
4.2.0 release (october 2022)
  . improvement     business connector ehboxv3: align with WS Publication cookbook:
                       - For clarity, in the connector api DocumentMessage.document is renamed DocumentMessage.body.
                       - The connector now translates this body in the WS interface as EncryptableTextContent in the Document xml element (was translated as EncryptableBinaryContent).
                       - The MineType of the body must be text/plain or text/html.
                       - See the latest eHealtBox v.3 Publication WS cookbook for the full body specifications.

  . removing        business connector consultrn V1.

4.1.2 release (may 2022)
    . removing           
            synchronous business service therlink: remove proof type SISREADING 
            => method createProofForSisReading() removed from be.ehealth.businessconnector.therlink.builder.ProofBuilder interface.
    . improvement           
            synchronous business service dicsV5: update to latest xsd-dics (5.1.4)

4.1.1 release (may 2022)
   . internal release

4.1.0 release (may 2022)
   . internal release

4.0.2 release (october 2021)
    . improvement 
            - use technical connector V4 (see release.notes.technical-core.txt, release.notes.technical-bootsrap.txt, release.notes.technical-jca.txt, release.notes.technical-ra.txt and release.notes.technical-signature.txt)
            
    . bugfix
            - ConsultRN v2 phonetic search: update xsd model to make possible a phonetic search without given names.
              See examples in examples\be\ehealth\businessconnector\test\consultrn\consultrnv2\session\ConsultrnSessionPersonServiceIntegrationTest

4.0.1 release (october 2021)
  . internal partner release (not published on ehealth portal only distributed to Recipe, Reseau Santé Wallon and Vitalink)
              
3.20.2 release (october 2020)
    .improvement
            - Person Service: update to xsd version 1.0.5
            - CBSS Person Service: update to xsd version 1.0.3

3.20.1 release (september 2020)
   . internal release
   
3.20.0 release (september 2020)
   . internal release
  
3.19.1 release (april 2020)
   . adding
            - synchronous business service ConsultRN v2 Person Service
            - synchronous business service ConsultRN v2 CBSS Person Service
            - synchronous business service DICS v5

   . improvement
            - new method for the business service WS Consent: getPatientConsentStatus
            - new method for the business service DICSv4: findNonMedicinalProduct
            - new target groups for the business service MemberData Sync/Async: clinical psychologists + clinical orthopedagogist

3.19.0 release (april 2020)
   . internal release

3.18.0 release (october 2019)
   . adding:
            - synchronous business service MemberData v2
            - asynchronous business service MemberData Async

3.17.1 release (april 2019)
    . change:
            - business service intrahub v1: Support fort the ID-ENCRYPTION-KEY kmehr identifier. This identifier is meant to be added to the hcparty identifiers of the request for operations where the response must be encrypted.
              The ID-ENCRYPTION-KEY value contains the base64 encoded ETK of the sender.
              By default ID-ENCRYPTION-KEY is not added since service providers might not be compliant yet.
              To activate ID-ENCRYPTION-KEY the config property see migration.guide.persnurse.txt. 

3.17.0 release (april 2019)
 . internal release 
              
3.16.1 release (october 2018)
   . adding:
            - business service therlink
            - new therlink operation HasTherapeuticLink                       
   . changes:
            - business service intrahub v3: Support fort the ID-ENCRYPTION-KEY kmehr identifier. This identifier is meant to be added to the hcparty identifiers of the request for operations where the response must be encrypted.
              The ID-ENCRYPTION-KEY value contains the base64 encoded ETK of the sender.
              By default ID-ENCRYPTION-KEY is not added since service providers might not be compliant yet (the kmehr.hubservicev3.identifier.id.idencryptionkey property is false).
              To activate ID-ENCRYPTION-KEY the config property kmehr.hubservicev3.identifier.id.idencryptionkey must be set to true.                  
            - The medadmin service interface has been altered to require the input of an InputReference
            - the medadmin xml business responses are by default validated against the xsd. To disable this validation the following properties can be set: 
                           genericasync.medadmin.validation.incoming.businessresponse=false
            
3.16.0 release (september 2018)
 . internal release
             
3.16.0-beta-3 release (june 2018)
   . adding:
            - new asynchronous business service mycarenetmedadmin (medadmin async service)

3.16.0-beta-2 release (june 2018)
 . internal release
 
3.16.0-beta-1 release (june 2018)
 . internal release  
             
3.16.0-beta-0 release (june 2018)
 . internal release              
            
3.15.1 release (april 2018)
   . adding:
            - new business service dicsv4
            - new business service consultrn (includes identifyPerson, phoneticSearch and managePerson.registerPerson)
            - new business service eh2ebox (included in the ehboxv3 module) 
            - new generic async business service genins (geninsasync module)

3.15.0 release (april 2018)
 . internal release
             
3.14.2 release (february 2017)
    . see    release.notes.business-intrahubv3.txt
    
3.14.2-beta-1 release (november 2017)

3.14.2-beta-0 internal release (november 2017)

3.14.1 release (octobre 2017)

3.14.0 release (octobre 2017)
   . deleting   business service mediprima
   
3.14.0-beta-0 release (september 2017)
   . adding    new business service intrahub v3
   . adding    new business service mediprima
   
3.13.1 release (july 2017)
   . adding    new business service intrahub v1

3.13.0 internal release (july 2017)

3.12.1 release (juin 2017)  
   . adding    new business service Dics V3
   . deleting  business service Dics V2

3.12.0 internal release (mai 2017)

3.11.1 release
  .  bugfix for dll incompatability in utilities-addressbook

3.11.0 internal release (october 2016)
  .  change    using latest version of technical connector 3.11.0
  .  adding    new business services addressbook, dics, dicsv2 and invoicing

3.10.4 release (september 2016)
  . using latest version of technical connector 3.10.4
  . using latest version of business connector 3.10.4
  
3.10.3 release
   . internal release
   
3.10.2 release (july 2016)
  . using latest version of technical connector 3.10.2
  . using latest version of business connector 3.10.2 
  
3.10.1 release
   . internal release

3.10.0 release (june 2016)
   . improvement      uniformisation of all connector versions
   
3.4.11 (may 2016)
  . internal partner release (not published on ehealth portal only distributed to Recipe, Reseau Santé Wallon and Vitalink)
  . change    uniformisation of release numbering 
  . adding    new business service addressbook
  . adding    business service genins
  . adding    bootstrap configurations for all business modules
  . change	  config properties splitted between sender and careprovider properties ( makes mandate configurations easier)
  . upgrade   technical connector version 3.4.11
  . upgrade   business connector 3.4.11 

1.4.0 beta-1
  . upgrade   technical connector version 3.4.0_beta-9
  . upgrade   business connector 3.4.0-beta-9 

1.4.0-beta-0
  . internal partner release (not published on ehealth portal only distributed to Recipe, Reseau Santé Wallon and Vitalink)
  
1.3.0-beta-7
  . upgrade   technical connector version 3.4.0_beta-7
  . upgrade   business connector version 3.4.0_beta-7
 
1.3.0-beta-6
  . upgrade   technical connector version 3.4.0_beta-6
  . upgrade   business connector version 3.4.0_beta-6

1.3.0-beta-5
  . upgrade   technical connector version 3.4.0_beta-5
  . upgrade   business connector version 3.4.0_beta-5
 
1.3.0-beta-4
  . upgrade   technical connector version 3.4.0_beta-4
  . upgrade   business connector version 3.4.0_beta-4
 
1.3.0-beta-3
  . upgrade   technical connector version 3.4.0_beta-3
  . upgrade   business connector version 3.4.0_beta-3
 
1.3.0-beta-2
  . internal release (not published on ehealth portal or distributed)
  
1.3.0-beta-1
  . internal release (not published on ehealth portal or distributed)
  
1.3.0-beta-0
  . internal release (not published on ehealth portal or distributed)
 
1.2.0 beta-2
  . upgrade  technical connector version 3.4.0_beta-2
  . added    new business service consent
 
1.2.0 beta-1
  . upgrade  techincal connector version 3.4.0_beta-1
  . change   version IKVM

1.2.0 beta-0
  . upgrade  technical connector version 3.4.0_beta-0

1.1.1 final
  . upgrade  techincal connector version 3.3.1
  . change   version IKVM

1.1.0 final 
  . upgrade  technical connector version 3.3.0

1.1.0 beta-3 
  . upgrade  technical connector version 3.3.0_beta-3

1.1.0 beta-0
  . upgrade  technicalconnector v3.3.0_beta-1
  . added    new business service therlink

1.0.0 beta-0
  . adding   new business service ehbox v3
  . adding   new technical connector
